<?PHP
ini_set('error_reporting', 1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];   //   **************** mcc  28-06-16
$id_user = $_SESSION['ss_user'];
include("../conex.php");
//************************************************lee y saca valor en nodo XML ****************** 
function obtValorXML($xml, $var, $x) 
  {
	$dom = new DOMDocument();
	$dom->load($xml);
	$data = array();
	$elements = $dom->getElementsByTagName($var);
	foreach($elements as $node){
		foreach($node->childNodes as $child) {
			$data[] = $child->nodeValue;
		}
	}
	if(count($data) > 0) {
		return($data[$x]);
	} else {
		return "";
	}
   }
   /****************** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa WHERE  id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_rut = str_replace('.', '', $empresa_rut);
		$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_rut_representante = str_replace('.', '', $empresa_rut_representante);
		$sitio_empresa=mysql_result($res_empresa, $row, "sitio_empresa");
        $ip_empresa=mysql_result($res_empresa, $row, "ip_empresa");
		
   
   
  // Subir Folios de SII  a server  
 
   $name_reserva = $_FILES['reserva']['name'];
//var_dump ($_FILES);
    
	$dir_destino = '/var/www/html/'.$sitio_empresa.'/LibFE/firmarDTE/';
	
   $dir = '/var/www/html/'.$sitio_empresa.'/LibFE/DOC/PASO/';
if ($name_reserva!=NULL)
{
	$type_reserva = $_FILES['reserva']['type'];
	// var_dump ( $type_reserva);
	$tmp_name_reserva = $_FILES["reserva"]["tmp_name"];
	 //var_dump ( $tmp_name_reserva);
	$size_reserva = $_FILES['reserva']['size'];
	 //var_dump ( $size_reserva);
	//$name_reserva = uniqid('bc') . '_' . $name_reserva; 
	move_uploaded_file($tmp_name_reserva, $dir.$name_reserva);
//	$campo_reserva = ", reserva";	
	//$name_reserva = ", '".$name_reserva."'"; 
}
else
{
	 var_dump ("Error en archivo");
}
  
  //***********************************************
  	
		
		$archivo=$dir.$name_reserva;

	

				$nombre_certificado=$empresa_rut_representante.'.p12';
								
			
			?>  
            
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<form action="procesar_certificado_digital.php" method="post" enctype="multipart/form-data" name="form1" target="_self">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Subir Certficado digital</title>

<style type="text/css">
<!--
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
.Estilo2 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; color:#FF0000}
-->
</style>
</head>
<body LINK="#000000" VLINK="#000000" ALINK="#000000">
<div align="center" class="titulos2">ENTRADA Certificado Digital  (.p12)</div>
  <div align="center">
    <table width="542" border="0">
      <tr bgcolor="#CCCCCC">
       
        <th width="144"><div align="center">Nombre</div></th>
        <th width="144"><div align="center">Nombre Final</div></th>
       
      
      </tr>
     
      <tr>
        <td><div><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="name_reserva" id="name_reserva" type="text" value="<?=$name_reserva;?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
        <td><div><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
        <input name="nombre_certificado" id="nombre_certificado" type="text" value="<?=$nombre_certificado;?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
       
             </tr>
      </table>
       <div align="center">
    <input name="Submit" type="button" class="botones" value="APLICAR" onClick="enviar()">
      <input name="Submit" type="button" class="botones" value="SALIR" onClick="cerrar()">
  </div>
  
  <input name="dir_destino" type="text"  id="dir_destino"  value="<?=$dir_destino?>" style="visibility:hidden">
  <input name="dir" type="text"  id="dir"  value="<?=$dir?>" style="visibility:hidden">
  
  
    </form>
  </div>
</body>
</html>

<script language="javascript" type="text/javascript">
function cerrar()
  {window.top.open('','_parent','');
   window.top.close();
  }
function enviar()
    {
	document.form1.submit();
    } 
</script>